<?php

error_reporting(E_NONE);

define('_PROJECT_DIR', getcwd() . '/../../'); // Директория проекта, относительно неё строится всё остальное
define('_ROOT_DIR', getcwd() . '/');       // Директория где точка входа (index.php)
define('_SHOP_DIR', getcwd() . '/../');      // Директория где точка входа в магазин (index.php)

const _ENGINE_DIR = _PROJECT_DIR . 'engine/';   // Директория с движкой
const _SITE_PATH = 'admin/';                          // Если index.php внутри какого-то пути http, например admin/
const _BASE_DIR = _ENGINE_DIR . 'admin/';         // Базовая директория, внутри которой модули и шаблоны

const __REAL_CAT_OBJ_ = '_sys_cat_admin';

header("Content-type: text/html; charset=utf-8");

require_once(_ENGINE_DIR . 'bootstrap.php');

if (!$auth->is_login()) {
    die('NO_AUTH');
}


$file = $_FILES['file'];

$fileContent = file_get_contents($file['tmp_name']);
$fname = md5($fileContent);

$fpath = substr($fname, 0, 2);
$fpath2 = substr($fname, 2, 2);
@mkdir(_FILES_DIR_ . $fpath . '/' . $fpath2, 0777, true);
$fname = $fpath .'/' . $fpath2 . '/' . $fname;

move_uploaded_file($file['tmp_name'], _FILES_DIR_ . $fname);
$tmpObj = new cobject('_sys_files');
$tmpObj->set('filename', $fname);
$tmpObj->set('realname', $file['name']);
$tmpObj->set('ext', $file['type']);
$tmpObj->save();

die('{"filelink":"/images/' . $tmpObj->id . '.jpg"}');
